summary refs log tree commit diff
path: root/.ci
diff options
context:
space:
mode:
authorkrombel <krombel@krombel.de>2018-01-14 22:20:22 +0100
committermujx <mujx@users.noreply.github.com>2018-01-14 23:20:22 +0200
commitfa8061c34b16e5e11eab6dd750f0cda503c912cf (patch)
tree89c972eee246be324e668d92cf5b0dbabf9d1a88 /.ci
parentAdd option to disable typing notifications (diff)
downloadnheko-fa8061c34b16e5e11eab6dd750f0cda503c912cf.tar.xz
Check if the linuxdeployqt-AppDir does exist before downloading (#205)
When you run the docker-image while being offline this step avoids nheko to be build.
Diffstat (limited to '.ci')
-rwxr-xr-x.ci/linux/deploy.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/.ci/linux/deploy.sh b/.ci/linux/deploy.sh
index ddac478a..77a4fa06 100755
--- a/.ci/linux/deploy.sh
+++ b/.ci/linux/deploy.sh
@@ -20,7 +20,10 @@ for iconSize in 16 32 48 64 128 256 512; do
     cp resources/nheko-${iconSize}.png ${IconDir}/nheko.png
 done
 
-wget -c "https://github.com/probonopd/linuxdeployqt/releases/download/continuous/linuxdeployqt-continuous-x86_64.AppImage"
+# Only download the file when not already present
+if ! [ -f linuxdeployqt-continuous-x86_64.AppImage ] ; then
+	wget -c "https://github.com/probonopd/linuxdeployqt/releases/download/continuous/linuxdeployqt-continuous-x86_64.AppImage"
+fi
 chmod a+x linuxdeployqt*.AppImage
 
 unset QTDIR